Subject: Re: bug#16232: [PATCH] grep: make --ignore-case (-i) faster (sometimes 10x) in multibyte locales

From: Jim Meyering <[email-masked]>
Date: Wed, 19 Feb 2014 11:51:27 -0800

On Wed, Feb 19, 2014 at 10:30 AM, Paul Eggert <[email-masked]> wrote:
> While we're on the topic, can someone please say why that patch was done as
> a preprocessor for the regex code?  I normally would think that the way to
> speed up regex processing is to improve dfa.c and/or the regex library, as
> that should speed up all programs that use these modules, not just grep.

Hi Paul,
My patch was a first crack at dealing with an inefficiency that was
grep-specific, so it made sense to apply as a grep-specific preprocessing
phase.  Norihiro found an additional improvement, that, it so happens,
would have had an even bigger impact if my patch had not been applied first.